> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/transaction-submission/rpc/ethereum/eth_sendrawtransaction.md).

# Ethereum RPC eth\_sendRawTransaction

Use the BlockRazor Ethereum RPC eth\_sendRawTransaction API. Review the endpoint, parameters, request format, response fields, and integration example.

&#x20;`eth_sendRawTransaction` of BlockRazor RPC is compatible with native JSON-RPC methods and requires no additional modifications.&#x20;

If you need to modify parameters such as hint, refund address and revert protection, you can configure the dedicated RPC in the [portal](https://www.blockrazor.io/#/login).

### Endpoint

{% hint style="info" %}
For project RPC, please refer to the [Integration](/transaction-submission/rpc/ethereum/integration.md)
{% endhint %}

<table><thead><tr><th width="203.8515625">Endpoint type</th><th width="483.47265625">URL</th></tr></thead><tbody><tr><td>General RPC</td><td>https://eth.blockrazor.xyz</td></tr><tr><td>Project Default RPC</td><td>https://eth.blockrazor.xyz/&#x3C;rpc_id></td></tr><tr><td>Project Custom RPC</td><td>https://&#x3C;custom_domain>.eth.blockrazor.xyz</td></tr></tbody></table>

### Request parameters

<table><thead><tr><th width="124">Parameters</th><th width="127">Mandatory</th><th width="110">Format</th><th width="180">Example</th><th>Remark</th></tr></thead><tbody><tr><td>-</td><td>Mandatory</td><td>bytes</td><td>"0xd46e……445675"</td><td>raw tx</td></tr></tbody></table>

### Request Example

```json
curl -X POST -H "Content-Type: application/json" --data '{
    "id": 1,
    "jsonrpc": "2.0",
    "method": "eth_sendRawTransaction",
    "params": [
        "0xd46e……445675"
    ]
}' https://bsc.blockrazor.xyz
```

### Response Example

**normal**

```json
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xe670……527331"
}
```

**abnormal**

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "error": {
	"code": -32000,
	"message": "rlp: element is larger than containing list"
  }
}
```

### Other JSON-RPC Methods

BlockRazor RPC supports standard JSON-RPC method, you can refer to <https://ethereum.org/zh/developers/docs/apis/json-rpc/#json-rpc-methods>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.blockrazor.io/transaction-submission/rpc/ethereum/eth_sendrawtransaction.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
